com.pdfunit.validators

## Class GotoLocalActionValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.GotoLocalActionValidator

-     @DoNotObfuscate
      public final class GotoLocalActionValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for GoTo actions in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GotoLocalActionValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GotoLocalActionValidator` | `hasGotoAction()` Validating that the current document has a goto action.
    `GotoLocalActionValidator` | `toDestination(java.lang.String expectedDestination)` Validating that the current document has an action pointing to the expected destination.
    `GotoLocalActionValidator` | `toDestination(java.lang.String expectedDestination, int expectedPageNumber)` Validating that the current document has an action with the expected destination name on the expected page.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GotoLocalActionValidator

          public GotoLocalActionValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### hasGotoAction

          public GotoLocalActionValidator hasGotoAction()

      Validating that the current document has a goto action.

    - #### toDestination

          @Guarded
          public GotoLocalActionValidator toDestination(java.lang.String expectedDestination)

      Validating that the current document has an action pointing to the expected destination.

    - #### toDestination

          @Guarded
          public GotoLocalActionValidator toDestination(java.lang.String expectedDestination,
                                                       int expectedPageNumber)

      Validating that the current document has an action with the expected destination name on the expected page.

Copyright (C) PDFUnit.com. See here for license.